package com.yidianling.user.base

import android.content.Context
import com.ydl.ydlcommon.base.config.GlobalConfig
import com.ydl.ydlcommon.base.config.IConfigModule
import com.ydl.ydlcommon.base.delegate.IAppLifecycles

/**
 * Created by haorui on 2019-09-01 .
 * Des:
 */
class UserGlobalConfig : IConfigModule {

    override fun injectAppLifecycle(context: Context, lifecycles: MutableList<IAppLifecycles>) {
        lifecycles.add(UserAppLifecycles())
    }

    override fun applyOptions(context: Context, builder: GlobalConfig.Builder) {}
}
